Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMList

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMList

public class SOMList
extends SOMObject

<list> A defining construct for schema components. The XML representation for restricting a type schema component is either a <restriction>, a <list> or a <union> element information item.

The list element defines a simpleType's content to be composed of a list of another type.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`SOMList(SOMType itemType)`

Method Summary
`SOMAnnotation` | `addAnnotation(SOMAnnotation annotation)`
`java.lang.String` | `createDefault()`
`java.lang.String` | `getID()`
`SOMType` | `getType()`
`SOMType` | `setType(SOMType itemType)`
`void` | `toXML(java.io.Writer rtn, int indent)`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMList

    public SOMList(SOMType itemType)

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

### setType

    public SOMType setType(SOMType itemType)

### addAnnotation

    public SOMAnnotation addAnnotation(SOMAnnotation annotation)

### getType

    public SOMType getType()

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMObject

### createDefault

    public java.lang.String createDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)